// System critical section


#include <windows.h>
#include "types.h"
#include "system_critical_section.h"



SYSTEM_CRITICAL_SECTION::SYSTEM_CRITICAL_SECTION()
{
::InitializeCriticalSection(&critical_section);
}

SYSTEM_CRITICAL_SECTION::~SYSTEM_CRITICAL_SECTION()
{
::DeleteCriticalSection(&critical_section);
}

void SYSTEM_CRITICAL_SECTION::EnterCriticalSection()
{
::EnterCriticalSection(&critical_section);
}

void SYSTEM_CRITICAL_SECTION::LeaveCriticalSection()
{
::LeaveCriticalSection(&critical_section);
}

int SYSTEM_CRITICAL_SECTION::TryEnterCriticalSection()
{
return ::TryEnterCriticalSection(&critical_section);
}

