#include <windows.h>
#include <Windowsx.h>
#include <commctrl.h>
#include <tchar.h>
#include <Shlwapi.h>
#include <Windowsx.h>
#include <richedit.h>
#include <Textserv.h>
#include <math.h>
#include <Share.h>

#include "resource.h"
#include "settings.h"
#include "chat.h"
#include "control.h"
#include "main.h"
#include "diffie_helman.h"
#include "password.h"

#include "signature.h"
#include "..\Audio\codec_interface.h"
#include "..\audio\waveio.h"
#include "..\audio\wav_def.h"
#include "..\Audio\interpolator.h"
//----------------------------------------------------------------------------
DWORD WINAPI voiceProc(chat_t* chat)
{
	s16 *buf_in, *buf_out;
	UINT wiNum, woNum;
	s16 mic_ec_data[FRAME_SIZE];
	u8 data_for_send[FRAME_SIZE*2];
	HANDLE events[2];

/*	SPEEX_CODEC cd;
	double pwr_mic = 0, pwr_ec = 0, pwr_loud = 0, pwr_unpack = 0;
	FILE *F = fopen("test.log","w");
	s16 uncoded[FRAME_SIZE] = {0};*/

	chat->restart = true;

	while(WAIT_TIMEOUT == WaitForSingleObject(chat->eStop,0))
	{
		if (chat->restart)
		{
			if (chat->win) delete chat->win;
			if (chat->wout) delete chat->wout;
			getWaveNums(&wiNum, &woNum);
			chat->win = new WAVEIN(wiNum);
			chat->wout = new WAVEOUT(woNum);
			chat->restart = false;
			// clear buffers end events
			while(buf_out = (s16*)chat->wout->GetBuffer()) ZeroMemory(buf_out,BufferSize*sizeof(s16)); // clear waveout buffer
			ResetEvent(chat->wout->txEvent);
			while(buf_in = (s16*)chat->win->GetBuffer());
			ResetEvent(chat->win->rxEvent);
			events[0] = chat->wout->txEvent;
			events[1] = chat->win->rxEvent;
		}
		if (chat->win && chat->wout)
		{
			if (WAIT_TIMEOUT != WaitForMultipleObjects(2,events,TRUE,100))
			{
				while (chat->win->HasData() && chat->wout->HasData())
				{
					u32 real_size;
					buf_in = (s16*)chat->win->GetBuffer();
					buf_out = (s16*)chat->wout->GetBuffer();
	
					if (chat->contr->getState() <= CTRL_ST_CONNECTED)
					{
						PostMessage(chat->chatWnd,WM_UPDATECHAT,0,0);
					}
					
					if (chat->mute)
					{
						ZeroMemory(buf_in,BufferSize*sizeof(s16));
					}

					u8* pack_data = chat->contr->getVoice(&real_size);
					chat->codec->Unpack_Audio_Data(buf_out,pack_data,real_size);

					//for (int i = 0; i < FRAME_SIZE; i++) buf_in[i]<<=1;
	
					chat->codec->Process_EC(mic_ec_data,buf_in,buf_out);
					//memcpy(mic_ec_data,buf_in,FRAME_SIZE*sizeof(s16));

					//for (real_size = 0; real_size < FRAME_SIZE; real_size++)	mic_ec_data[real_size] = (s16)(20000*sin(0.1*real_size));
					real_size = chat->codec->Pack_Audio_Data(data_for_send,mic_ec_data);
					chat->contr->sendVoice(data_for_send,real_size);
					/*
					cd.Unpack_Audio_Data(uncoded,data_for_send,real_size);
					for (int i = 0; i < FRAME_SIZE; i++)
					{
						pwr_mic += (abs(buf_in[i])-pwr_mic)*0.001;
						pwr_ec += (abs(mic_ec_data[i])-pwr_ec)*0.001;
						pwr_loud += (abs(buf_out[i])-pwr_loud)*0.001;
						pwr_unpack += (abs(uncoded[i])-pwr_unpack)*0.001;
					}
					fprintf(F,"%f %f %f %f\n",pwr_mic,pwr_ec,pwr_loud,pwr_unpack);
					*/
					for (int i = 0; i < FRAME_SIZE; i++) buf_out[i]<<=1;
				}
			}
		}
		else
		{
			chat->restart = true;
			Sleep(100);
		}
	}
	if (chat->win) delete chat->win;
	if (chat->wout) delete chat->wout;
	chat->win = NULL;
	chat->wout = NULL;

	//fclose(F);
	return 0;
}
//----------------------------------------------------------------------------
void setVolume(WAVEOUT* wout, WORD value)
{
	if (!wout) return;
	DWORD volume;
	if (!wout) return;
	if (value >= 100) volume = 0xFFFF;
	else volume = (DWORD)value*0xFFFF/100;
	volume |= volume<<16;
	waveOutSetVolume(wout->GetWaveOutHandle(),volume);
}
//----------------------------------------------------------------------------
// Set the record input, volume and balance
static void MixerParametersXP(HWAVEIN hWaveIn, WORD* volume_in_percent, bool set)
{
 UINT i;
 HMIXER mix;
 MIXERLINE mixerDstLine;
 MIXERLINE mixerSrcLine;
 MIXERCONTROL mixerCtrl;
 MIXERLINECONTROLS mixerLineCtrl;
 MIXERCONTROLDETAILS mixerCtrlDetails;
 MIXERCONTROLDETAILS_UNSIGNED mixerCtrlDetailsUnsigned;

 // Open the mixer
 if (MMSYSERR_NOERROR != mixerOpen(&mix, (UINT)hWaveIn, 0, 0, MIXER_OBJECTF_HWAVEIN))
  {
  return;
  }
  
 // Get wavein
 mixerDstLine.cbStruct = sizeof(MIXERLINE);
 mixerDstLine.dwComponentType = MIXERLINE_COMPONENTTYPE_DST_WAVEIN;

 if (MMSYSERR_NOERROR != mixerGetLineInfo((HMIXEROBJ)mix, &mixerDstLine, MIXER_GETLINEINFOF_COMPONENTTYPE))
  {
  mixerClose(mix);
  return;
  }

 // Get line input
 for (i = 0; i < mixerDstLine.cConnections; i++)
 {
  mixerSrcLine.cbStruct = sizeof(MIXERLINE);
  mixerSrcLine.dwDestination = mixerDstLine.dwDestination;
  mixerSrcLine.dwSource = i;

  mixerGetLineInfo((HMIXEROBJ)mix, &mixerSrcLine, MIXER_GETLINEINFOF_SOURCE);

  // if source is line in 
  if (mixerSrcLine.dwComponentType == MIXERLINE_COMPONENTTYPE_SRC_MICROPHONE) break;
 }

 if (mixerSrcLine.dwComponentType != MIXERLINE_COMPONENTTYPE_SRC_MICROPHONE)
  {
  mixerClose(mix);
  return;
  }

 // Get switch control
 mixerLineCtrl.cbStruct = sizeof(MIXERLINECONTROLS);
 mixerLineCtrl.dwLineID = mixerDstLine.dwLineID;
 mixerLineCtrl.dwControlType = MIXERCONTROL_CONTROLTYPE_MUX;
 mixerLineCtrl.cControls = 1;
 mixerLineCtrl.pamxctrl = &mixerCtrl;
 mixerLineCtrl.cbmxctrl = sizeof(MIXERCONTROL);

 if (MMSYSERR_NOERROR != mixerGetLineControls((HMIXEROBJ)mix, &mixerLineCtrl, MIXER_GETLINECONTROLSF_ONEBYTYPE))
  {
  mixerClose(mix);
  return;
  }

 // select line input
 if (mixerCtrl.fdwControl & MIXERCONTROL_CONTROLF_MULTIPLE) // multiple controle case
 {
  MIXERCONTROLDETAILS_UNSIGNED *mux_vals = new MIXERCONTROLDETAILS_UNSIGNED[mixerCtrl.cMultipleItems];

  for (i = 0; i < mixerCtrl.cMultipleItems; i++)
  {
   if (mixerSrcLine.dwSource == i) mux_vals[i].dwValue = 1; // set corresponding input to enable state
   else mux_vals[i].dwValue = 0;
  }

  mixerCtrlDetails.cbStruct = sizeof(MIXERCONTROLDETAILS);
  mixerCtrlDetails.dwControlID = mixerCtrl.dwControlID;
  mixerCtrlDetails.cChannels = 1;
  mixerCtrlDetails.cMultipleItems = mixerCtrl.cMultipleItems;
  mixerCtrlDetails.paDetails = mux_vals;
  mixerCtrlDetails.cbDetails = sizeof(MIXERCONTROLDETAILS_UNSIGNED);

  if (MMSYSERR_NOERROR != mixerSetControlDetails((HMIXEROBJ)mix, &mixerCtrlDetails, MIXER_SETCONTROLDETAILSF_VALUE))
   {
   mixerClose(mix);
   delete[] mux_vals;
   return;
   }

  delete[] mux_vals;
 }
 else // single controle case
 {
  mixerCtrlDetailsUnsigned.dwValue = mixerSrcLine.dwSource;

  mixerCtrlDetails.cbStruct = sizeof(MIXERCONTROLDETAILS);
  mixerCtrlDetails.dwControlID = mixerCtrl.dwControlID;
  mixerCtrlDetails.cMultipleItems = 0;
  mixerCtrlDetails.paDetails = &mixerCtrlDetailsUnsigned;
  mixerCtrlDetails.cbDetails = sizeof(MIXERCONTROLDETAILS_UNSIGNED);
  mixerCtrlDetails.cChannels = 1;

  if (MMSYSERR_NOERROR != mixerSetControlDetails((HMIXEROBJ)mix, &mixerCtrlDetails, MIXER_SETCONTROLDETAILSF_VALUE))
   {
   mixerClose(mix);
   return;
   }
 }

 // Get the volume control
 mixerLineCtrl.cbStruct = sizeof(MIXERLINECONTROLS);
 mixerLineCtrl.dwLineID = mixerSrcLine.dwLineID;
 mixerLineCtrl.dwControlType = MIXERCONTROL_CONTROLTYPE_VOLUME;
 mixerLineCtrl.cControls = 1;
 mixerLineCtrl.pamxctrl = &mixerCtrl;
 mixerLineCtrl.cbmxctrl = sizeof(MIXERCONTROL);

 if (MMSYSERR_NOERROR != mixerGetLineControls((HMIXEROBJ)mix, &mixerLineCtrl, MIXER_GETLINECONTROLSF_ONEBYTYPE))
  {
  mixerClose(mix);
  return;
  }

mixerCtrlDetails.dwControlID = mixerCtrl.dwControlID;
mixerCtrlDetails.cbStruct = sizeof(MIXERCONTROLDETAILS);
mixerCtrlDetails.cMultipleItems = 0;
mixerCtrlDetails.paDetails = &mixerCtrlDetailsUnsigned;
mixerCtrlDetails.cbDetails = sizeof(MIXERCONTROLDETAILS_UNSIGNED);
mixerCtrlDetails.cChannels = 1;
 if (set)
 {
	 // Set volume
	 mixerCtrlDetailsUnsigned.dwValue = mixerCtrl.Bounds.dwMinimum + (mixerCtrl.Bounds.dwMaximum - mixerCtrl.Bounds.dwMinimum)*(*volume_in_percent)/100;

	 if (MMSYSERR_NOERROR != mixerSetControlDetails((HMIXEROBJ)mix, &mixerCtrlDetails, MIXER_SETCONTROLDETAILSF_VALUE))
	  {
	  mixerClose(mix);
	  return;
	  }
 }
 else
 {
	 // Get volume
	 if (MMSYSERR_NOERROR != mixerGetControlDetails((HMIXEROBJ)mix, &mixerCtrlDetails, MIXER_GETCONTROLDETAILSF_VALUE))
	  {
	  mixerClose(mix);
	  return;
	  }
	 *volume_in_percent = (WORD)((mixerCtrlDetailsUnsigned.dwValue - mixerCtrl.Bounds.dwMinimum)*100/(mixerCtrl.Bounds.dwMaximum - mixerCtrl.Bounds.dwMinimum));
 }

 // close the mixer
 mixerClose(mix);
}

// Set the record input, volume and balance
static void MixerParametersW7(HWAVEIN hWaveIn, WORD* volume_in_percent, bool set)
{
 HMIXER mix;
 MIXERLINE mixerLine;
 MIXERCONTROL mixerCtrl;
 MIXERLINECONTROLS mixerLineCtrl;
 MIXERCONTROLDETAILS mixerCtrlDetails;
 MIXERCONTROLDETAILS_UNSIGNED mixerCtrlDetailsUnsigned;

 // Open the mixer
 if (MMSYSERR_NOERROR != mixerOpen(&mix, (UINT)hWaveIn, 0, 0, MIXER_OBJECTF_HWAVEIN))
  {
  return;
  }
  
 // Get wavein
 mixerLine.cbStruct = sizeof(MIXERLINE);
 mixerLine.dwComponentType = MIXERLINE_COMPONENTTYPE_DST_WAVEIN;

 if (MMSYSERR_NOERROR != mixerGetLineInfo((HMIXEROBJ)mix, &mixerLine, MIXER_GETLINEINFOF_COMPONENTTYPE))
  {
  mixerClose(mix);
  return;
  }

 // Get the volume control
 mixerLineCtrl.cbStruct = sizeof(MIXERLINECONTROLS);
 mixerLineCtrl.dwLineID = mixerLine.dwLineID;
 mixerLineCtrl.dwControlType = MIXERCONTROL_CONTROLTYPE_VOLUME;
 mixerLineCtrl.cControls = 1;
 mixerLineCtrl.pamxctrl = &mixerCtrl;
 mixerLineCtrl.cbmxctrl = sizeof(MIXERCONTROL);

 if (MMSYSERR_NOERROR != mixerGetLineControls((HMIXEROBJ)mix, &mixerLineCtrl, MIXER_GETLINECONTROLSF_ONEBYTYPE))
  {
  mixerClose(mix);
  return;
  }

mixerCtrlDetails.dwControlID = mixerCtrl.dwControlID;
mixerCtrlDetails.cbStruct = sizeof(MIXERCONTROLDETAILS);
mixerCtrlDetails.cMultipleItems = 0;
mixerCtrlDetails.paDetails = &mixerCtrlDetailsUnsigned;
mixerCtrlDetails.cbDetails = sizeof(MIXERCONTROLDETAILS_UNSIGNED);
mixerCtrlDetails.cChannels = 1;
 if (set)
 {
	 // Set volume
	 mixerCtrlDetailsUnsigned.dwValue = mixerCtrl.Bounds.dwMinimum + (mixerCtrl.Bounds.dwMaximum - mixerCtrl.Bounds.dwMinimum)*(*volume_in_percent)/100;
	 //mixerCtrlDetailsUnsigned.dwValue = mixerCtrl.Bounds.dwMinimum + (mixerCtrl.Bounds.dwMaximum - mixerCtrl.Bounds.dwMinimum)*log(*volume_in_percent+1.0)/log(101.0);

	 if (MMSYSERR_NOERROR != mixerSetControlDetails((HMIXEROBJ)mix, &mixerCtrlDetails, MIXER_SETCONTROLDETAILSF_VALUE))
	  {
	  mixerClose(mix);
	  return;
	  }
 }
 else
 {
	 // Get volume
	 if (MMSYSERR_NOERROR != mixerGetControlDetails((HMIXEROBJ)mix, &mixerCtrlDetails, MIXER_GETCONTROLDETAILSF_VALUE))
	  {
	  mixerClose(mix);
	  return;
	  }
	 *volume_in_percent = (WORD)((mixerCtrlDetailsUnsigned.dwValue - mixerCtrl.Bounds.dwMinimum)*100/(mixerCtrl.Bounds.dwMaximum - mixerCtrl.Bounds.dwMinimum));
	 //*volume_in_percent = (WORD)exp(((mixerCtrlDetailsUnsigned.dwValue - mixerCtrl.Bounds.dwMinimum)*100/(mixerCtrl.Bounds.dwMaximum - mixerCtrl.Bounds.dwMinimum))*log(101.0))-1;
 }

 // close the mixer
 mixerClose(mix);
}
//----------------------------------------------------------------------------
static bool IsWindows7(void)
{
	OSVERSIONINFO ver;
	ver.dwOSVersionInfoSize = sizeof(OSVERSIONINFO);
	GetVersionEx(&ver);
	return ver.dwMajorVersion > 5;
}
//----------------------------------------------------------------------------
void setMicrophone(WAVEIN* win, WORD value)
{
	if (!win) return;
  if (IsWindows7())
  {
   MixerParametersW7(win->GetWaveInHandle(), &value,true); // set mixer's mux to line and volume (in %)
  }
  else
  {
   MixerParametersXP(win->GetWaveInHandle(), &value,true); // set mixer's mux to line and volume (in %)
  }
}
//----------------------------------------------------------------------------
typedef struct {
	chat_t* ch;
	int to_cnt;
	LPTSTR sound;
	HANDLE eStop;
	HANDLE thread;
} ring_t;
//----------------------------------------------------------------------------
DWORD WINAPI RingThread(ring_t* ring)
{
    HRSRC  hResInfo;
	HGLOBAL hRes;
	WAVEOUT* wo;
	u8* wav_ptr;
	u8* wav_start;
	s16* buf;
	HeaderChunk_t head;
	FormatChunk_t fmt;
	DataChunk_t dat;
	u32 read_bytes = 0;
	u32 sent_bytes = 0;
	UINT woNum;
	getWaveNums(NULL, &woNum);

	// parse wav file
    if (NULL == (hResInfo = FindResource(GetModuleHandle(NULL), ring->sound, TEXT("WAVE")))) return 1;
    if (NULL == (hRes = LoadResource(GetModuleHandle(NULL), hResInfo))) return 1; 
	if (NULL == (wav_ptr = (u8*)LockResource(hRes))) return 1;
	memcpy(&head,wav_ptr,sizeof(HeaderChunk_t));
    if (head.chunkID != HeaderID || head.Format != HeaderFormatID) return 1;
	wav_ptr += sizeof(HeaderChunk_t);
	read_bytes += sizeof(HeaderChunk_t);
	memcpy(&fmt,wav_ptr,sizeof(FormatChunk_t));
    if (fmt.chunkID != FormatID || fmt.wFormatTag != 1 || fmt.wBitsPerSample != 16) return 1;
	wav_ptr += fmt.chunkSize + sizeof(DataChunk_t);
	read_bytes += fmt.chunkSize + sizeof(DataChunk_t);
   
    while (read_bytes < head.chunkSize-sizeof(HeaderChunk_t))
    {
		memcpy(&dat,wav_ptr,sizeof(DataChunk_t));
		if (dat.chunkID == DataID) break;
		wav_ptr += dat.chunkSize + sizeof(DataChunk_t);
		read_bytes += dat.chunkSize + sizeof(DataChunk_t);
	}
	if (dat.chunkID != DataID) return 1;
	if (NULL == (wo = new WAVEOUT(woNum,fmt.wChannels,fmt.dwSamplesPerSec))) return 1;

	setVolume(wo,(WORD)getRingVolume());

	wav_ptr += sizeof(DataChunk_t);
	wav_start = wav_ptr;
	u32 buf_size = wo->GetBufferSizeBytes();
	while (WAIT_TIMEOUT == WaitForSingleObject(ring->eStop,0))
	{
		wav_ptr = wav_start;
		sent_bytes = 0;
		while(sent_bytes < dat.chunkSize)
		{
			WaitForSingleObject(wo->txEvent,100);
			while (NULL != (buf = (s16*)wo->GetBuffer()))
			{
				UINT cur_size = (sent_bytes + buf_size <= dat.chunkSize) ? buf_size : dat.chunkSize - sent_bytes;
				memcpy(buf,wav_ptr,cur_size);
				memset((u8*)buf + cur_size, 0, buf_size-cur_size);
				sent_bytes += cur_size;
				wav_ptr += cur_size;
			}
			if (WAIT_TIMEOUT != WaitForSingleObject(ring->eStop,0)) break;
		}
	}
    delete wo;
	return 0;
}
//----------------------------------------------------------------------------
static void RingInit(HWND hWnd, chat_t* ch)
{
	ring_t* ring = (ring_t*)HeapAlloc(GetProcessHeap(),HEAP_ZERO_MEMORY,sizeof(ring_t));
	ring->ch = ch;
	ring->to_cnt = 0;
	SetProp(hWnd,TEXT("ring"),ring);
	SetTimer(hWnd,1,1000,NULL);
	ring->sound = (ch->contr->getState() == CTRL_ST_DIALING) ? TEXT("waveDial") : TEXT("waveRing");
	ring->eStop = CreateEvent(NULL,TRUE,FALSE,NULL);
	ring->thread = CreateThread(NULL,0,(LPTHREAD_START_ROUTINE)RingThread,ring,0,NULL);
	TCHAR str[user_info_max_length_bytes+100] = TEXT("");
	getNet()->get_user_info(&ch->nd,str);
	cp_strncat(str,TEXT(" is calling\nAnswer call?"),user_info_max_length_bytes+100);
	SetDlgItemText(hWnd,IDC_USER_NAME,str);
}
//----------------------------------------------------------------------------
static void RingDestroy(HWND hWnd)
{
	KillTimer(hWnd,1);
	ring_t* ring = (ring_t*)RemoveProp(hWnd,TEXT("ring"));
	SetEvent(ring->eStop);
	WaitForSingleObject(ring->thread,1000);
	CloseHandle(ring->eStop);
	CloseHandle(ring->thread);
	HeapFree(GetProcessHeap(),0,ring);
	PostMessage(GetParent(hWnd),WM_RING_DESTROYED,0,(LPARAM)hWnd);
}
//----------------------------------------------------------------------------
static INT_PTR CALLBACK RingProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	ring_t* ring = (ring_t*)GetProp(hWnd,TEXT("ring"));
	switch (uMsg)
	{
	case WM_INITDIALOG:
		RingInit(hWnd,(chat_t*)lParam);
		return TRUE;
		//
    case WM_DESTROY:
		RingDestroy(hWnd);
		return TRUE;
		//
	case WM_CLOSE:
		DestroyWindow(hWnd);
		return TRUE;
		//
	case WM_TIMER:
		switch (ring->ch->contr->getState())
		{
		case CTRL_ST_IN_VOICE:
			DestroyWindow(hWnd);
			break;
		case CTRL_ST_DIALING: break;
		default:
			if (++ring->to_cnt > 10)
			{
				DestroyWindow(hWnd);
			}
		}
		return TRUE;
		//
	case WM_COMMAND:
		switch (LOWORD(wParam))
		{
		case IDCANCEL:
			ring->ch->contr->reject();
			DestroyWindow(hWnd);
			return TRUE;
		case IDOK:
			ring->ch->contr->accept();
			DestroyWindow(hWnd);
			return TRUE;
		}
		return FALSE;
	case WM_RING:
		ring->to_cnt = 0;
		return TRUE;
	}
	return FALSE;
}
//----------------------------------------------------------------------------
void StartStopVoice(HWND hWnd)
{
    chat_t* ch = (chat_t*)GetProp(hWnd,TEXT("chat"));
	if (ch->contr->getState() > CTRL_ST_CONNECTED) // start voice communication
	{
		if ((ch->contr->getState() == CTRL_ST_IN_VOICE) && !ch->thVoice) // if not started
		{
			ResetEvent(ch->eStop);
			ch->thVoice = CreateThread(NULL,0,(LPTHREAD_START_ROUTINE)voiceProc,ch,0,NULL);
			if (ch->ringWnd)
			{
				DestroyWindow(ch->ringWnd);
				ch->ringWnd = NULL;
			}
		}
		SendDlgItemMessage(hWnd, IDC_DIAL, BM_SETIMAGE, IMAGE_ICON, (LPARAM)LoadIcon(GetModuleHandle(NULL), MAKEINTRESOURCE(IDI_PHONE_RED)));
	}
	else
	{
		if (ch->thVoice) // if started
		{
			SetEvent(ch->eStop);
			CloseHandle(ch->thVoice);
			ch->thVoice = NULL;
		}
		SendDlgItemMessage(hWnd, IDC_DIAL, BM_SETIMAGE, IMAGE_ICON, (LPARAM)LoadIcon(GetModuleHandle(NULL), MAKEINTRESOURCE(IDI_PHONE_GREEN)));
	}
	if ((ch->contr->getState() == CTRL_ST_IDLE) && ch->ringWnd)
	{
		DestroyWindow(ch->ringWnd);
		ch->ringWnd = NULL;
	}
}
//----------------------------------------------------------------------------
static void dialClicked(HWND hWnd)
{
    chat_t* ch = (chat_t*)GetProp(hWnd,TEXT("chat"));
	if (ch->ringWnd)
	{
		DestroyWindow(ch->ringWnd);
		ch->ringWnd = NULL;
	}
	if (ch->contr->getState() <= CTRL_ST_CONNECTED)
	{
		ch->contr->dial();
		ch->ringWnd = CreateDialogParam(GetModuleHandle(NULL),TEXT("Ring"),hWnd,RingProc,(LPARAM)ch);
		ShowWindow(ch->ringWnd,SW_HIDE);
	}
	else
	{
		ch->contr->hang_down();
	}
	StartStopVoice(hWnd);
}
//----------------------------------------------------------------------------
static void sendMsg(HWND hWnd)
{
	TCHAR datatime[100];
	chat_t* ch = (chat_t*)GetProp(hWnd,TEXT("chat"));
	int msgSize = Edit_GetTextLength(GetDlgItem(hWnd,IDC_MESSAGE));
	if (!msgSize) return;
	CHARRANGE cr,fin;
	TCHAR* strMsg = (TCHAR*)HeapAlloc(GetProcessHeap(),0,(msgSize+1)*sizeof(TCHAR));
	TCHAR* strChat = (TCHAR*)HeapAlloc(GetProcessHeap(),0,(msgSize+100)*sizeof(TCHAR));
	GetDlgItemText(hWnd,IDC_MESSAGE,strMsg,msgSize+1);
	for(int sent_size = 0; sent_size < msgSize; sent_size += NETWORK_SIZE_TEXT/sizeof(TCHAR))
	{
		int len = msgSize - sent_size;
		if (len > NETWORK_SIZE_TEXT/sizeof(TCHAR)) len = NETWORK_SIZE_TEXT/sizeof(TCHAR);

		strChat[0] = 0;
		GetDateFormat(LOCALE_USER_DEFAULT,DATE_SHORTDATE,NULL,NULL,datatime,100);
		_tcscat_s(strChat,msgSize+100,datatime);
		GetTimeFormat(LOCALE_USER_DEFAULT,TIME_NOSECONDS,NULL,NULL,datatime,100);
		_tcscat_s(strChat,msgSize+100,TEXT(" "));
		_tcscat_s(strChat,msgSize+100,datatime);
		_tcscat_s(strChat,msgSize+100,TEXT(" > "));
		_tcsncat_s(strChat,msgSize+100,&strMsg[sent_size],len);
		_tcscat_s(strChat,msgSize+100,TEXT("\n"));
		cr.cpMin = cr.cpMax = Edit_GetTextLength(GetDlgItem(hWnd,IDC_CHAT))-1;
		SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXSETSEL,0,(LPARAM)&cr);
		SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXGETSEL,0,(LPARAM)&cr);
		SendDlgItemMessage(hWnd,IDC_CHAT,EM_REPLACESEL,FALSE,(LPARAM)strChat);
		if (ch->F && ch->save_chat)
		{
			write_string_to_file(ch->F,strChat,ch->xex,&ch->xex_num);
		}
		// line formatting
		CHARFORMAT2 cf;
		cf.cbSize = sizeof(cf);
		cf.dwMask = CFM_ITALIC|CFM_BOLD|CFM_COLOR;
		cf.dwEffects = CFE_ITALIC|CFE_AUTOCOLOR;
		cr.cpMax = Edit_GetTextLength(GetDlgItem(hWnd,IDC_CHAT))-1;
		SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXSETSEL,0,(LPARAM)&cr);
		SendDlgItemMessage(hWnd,IDC_CHAT,EM_SETCHARFORMAT,SCF_SELECTION,(LPARAM)&cf);
		SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXGETSEL,0,(LPARAM)&fin); // remember for receiving formatting
		SendDlgItemMessage(hWnd,IDC_CHAT,EM_SCROLL,SB_PAGEDOWN,0);

		ch->contr->sendMessage(&strMsg[sent_size],len,fin.cpMin,fin.cpMax);
	}
	SetDlgItemText(hWnd,IDC_MESSAGE,TEXT(""));
	HeapFree(GetProcessHeap(),0,strChat);
	HeapFree(GetProcessHeap(),0,strMsg);
	SetFocus(GetDlgItem(hWnd,IDC_MESSAGE));
}
//----------------------------------------------------------------------------
static void showText(HWND hWnd,LPTSTR text, u32 textSize)
{
	TCHAR datatime[100];
	chat_t* ch = (chat_t*)GetProp(hWnd,TEXT("chat"));
	CHARRANGE cr;
	cr.cpMin = cr.cpMax = Edit_GetTextLength(GetDlgItem(hWnd,IDC_CHAT))-1;
	SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXSETSEL,0,(LPARAM)&cr);
	SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXGETSEL,0,(LPARAM)&cr);
	TCHAR* strChat = (TCHAR*)HeapAlloc(GetProcessHeap(),0,(textSize+100)*sizeof(TCHAR));
	strChat[0] = 0;
	GetDateFormat(LOCALE_USER_DEFAULT,DATE_SHORTDATE,NULL,NULL,datatime,100);
	_tcscat_s(strChat,textSize+100,datatime);
	GetTimeFormat(LOCALE_USER_DEFAULT,TIME_NOSECONDS,NULL,NULL,datatime,100);
	_tcscat_s(strChat,textSize+100,TEXT(" "));
	_tcscat_s(strChat,textSize+100,datatime);
	_tcscat_s(strChat,textSize+100,TEXT(" < "));
	size_t preamble = cp_strlen(strChat);
	memcpy(&strChat[preamble],text,textSize);
	strChat[preamble+textSize/sizeof(TCHAR)] = 0;
	_tcscat_s(strChat,textSize+100,TEXT("\n"));
	SendDlgItemMessage(hWnd,IDC_CHAT,EM_REPLACESEL,FALSE,(LPARAM)strChat);
	if (ch->F && ch->save_chat)
	{
		write_string_to_file(ch->F,strChat,ch->xex,&ch->xex_num);
	}
	// line formatting
	CHARFORMAT2 cf;
	cf.cbSize = sizeof(cf);
	cf.dwMask = CFM_ITALIC|CFM_BOLD|CFM_COLOR;
	cf.dwEffects = CFE_BOLD;
	cf.crTextColor = RGB(0,0,0x80);
	cr.cpMax = Edit_GetTextLength(GetDlgItem(hWnd,IDC_CHAT))-1;
	SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXSETSEL,0,(LPARAM)&cr);
	SendDlgItemMessage(hWnd,IDC_CHAT,EM_SETCHARFORMAT,SCF_SELECTION,(LPARAM)&cf);
	SendDlgItemMessage(hWnd,IDC_CHAT,EM_SCROLL,SB_PAGEDOWN,0);
	HeapFree(GetProcessHeap(),0,strChat);
	if (GetForegroundWindow()!=hWnd)
	{
		FLASHWINFO fi;
		fi.cbSize = sizeof(fi);
		fi.hwnd = hWnd;
		fi.dwFlags = FLASHW_ALL|FLASHW_TIMERNOFG;
		fi.uCount = 5;
		fi.dwTimeout = 0;
		FlashWindowEx(&fi);
		if(!IsWindowVisible(GetParent(hWnd))) ShowWindow(GetParent(hWnd),SW_NORMAL);
		fi.hwnd = GetParent(hWnd);
		FlashWindowEx(&fi);
	}
}
//----------------------------------------------------------------------------
static void formatDeliverdMessage(HWND hWnd, LONG min_pos, LONG max_pos)
{
	CHARRANGE cr = {min_pos, max_pos};
	SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXSETSEL,0,(LPARAM)&cr);
	// line formatting
	CHARFORMAT2 cf;
	cf.cbSize = sizeof(cf);
	cf.dwMask = CFM_ITALIC|CFM_BOLD|CFM_COLOR;
	cf.dwEffects = CFE_AUTOCOLOR;
	SendDlgItemMessage(hWnd,IDC_CHAT,EM_SETCHARFORMAT,SCF_SELECTION,(LPARAM)&cf);
	cr.cpMin = cr.cpMax = Edit_GetTextLength(GetDlgItem(hWnd,IDC_CHAT));
	SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXSETSEL,0,(LPARAM)&cr);
}
//----------------------------------------------------------------------------
static const LPTSTR status_txt[CTRL_ST_LAST] = {TEXT("IDLE"),TEXT("REJECTED"),TEXT("CONNECTION"),TEXT("ABORT"),TEXT("CONNECTED"),TEXT("DIALING"),TEXT("IN VOICE")};
static const LPTSTR user_status_txt[USER_STATUS_MAX] = {TEXT("offline"),TEXT("online"),TEXT("away")};
static void updateStatus(HWND hWnd)
{
	NETWORK* net = getNet();
	TCHAR typing[10];
	TCHAR str[200];
	chat_t* ch = (chat_t*)GetProp(hWnd,TEXT("chat"));
	u32 state = ch->contr->getState();
	ch->contr->process();
	SendDlgItemMessage(hWnd,IDC_STATUS,SB_SETTEXT,0,(LPARAM)status_txt[state]);
	// typing notification
	SendDlgItemMessage(hWnd,IDC_STATUS,SB_GETTEXT,1,(LPARAM)typing);
	switch (cp_strlen(typing))
	{
	case 0: break;
	case 1:	SendDlgItemMessage(hWnd,IDC_STATUS,SB_SETTEXT,1,(LPARAM)TEXT("**")); break;
	case 2:	SendDlgItemMessage(hWnd,IDC_STATUS,SB_SETTEXT,1,(LPARAM)TEXT("***")); break;
	case 3:	SendDlgItemMessage(hWnd,IDC_STATUS,SB_SETTEXT,1,(LPARAM)TEXT("****")); break;
	default: SendDlgItemMessage(hWnd,IDC_STATUS,SB_SETTEXT,1,(LPARAM)TEXT("")); break;
	}
	// session hash
	u16* hash = net->get_session_hash(ch->nd.id);
	if (hash) _stprintf_s(str,TEXT("session id: %04X %04X %04X %04X %04X"),hash[0],hash[1],hash[2],hash[3],hash[4]);
	else _stprintf_s(str,TEXT("Not connected"));
	SendDlgItemMessage(hWnd,IDC_STATUS,SB_SETTEXT,2,(LPARAM)str);
	// network counters
	u32 est,sec,sent,drop,missed,late,invalid;
	net->get_counters(&ch->nd,&est,&sec,&drop,&sent,&missed,&late,&invalid);
	int len,mean;
	ch->contr->getVoiceFifo(&len,&mean);
	_stprintf_s(str,200,TEXT("packets overhead: %d, secured: %d, dropped: %d, sent: %d, lost bytes: %d, late packets: %d, invalid packets: %d, voice: %d/%d"),est,sec,drop,sent,missed,late,invalid,len,mean);
	SendDlgItemMessage(hWnd,IDC_STATUS,SB_SETTEXT,3,(LPARAM)str);
	TCHAR user[user_info_max_length_bytes+2] = TEXT("");
	USERS* usr = getUserList();
	like_t* ptr;
	for (ptr = usr->getLikes(); ptr; ptr = ptr->next)
	{
		if (isIdIdentical(ch->nd.id, ptr->nd.id))
		{
			cp_strncpy(user,ptr->name,user_info_max_length_bytes+2);
			break;
		}
	}
	if (!ptr) net->get_user_info(&ch->nd,user);
	u32 user_status = net->get_user_status(ch->nd.id);
	if (user_status < USER_STATUS_MAX)
	{
		_stprintf_s(str,200,TEXT("%s - %s"),user,user_status_txt[user_status]);
		SetWindowText(hWnd,str);
	}
	LPARAM icon;
	if (state!=CTRL_ST_IN_VOICE) icon = (LPARAM)LoadIcon(GetModuleHandle(NULL), MAKEINTRESOURCE(IDI_MIC_OFF));
	else if (ch->mute) icon = (LPARAM)LoadIcon(GetModuleHandle(NULL), MAKEINTRESOURCE(IDI_MIC_MUTE));
	else icon = (LPARAM)LoadIcon(GetModuleHandle(NULL), MAKEINTRESOURCE(IDI_MIC_ON));
	SendDlgItemMessage(hWnd, IDC_MUTE, BM_SETIMAGE, IMAGE_ICON, icon);
}
//----------------------------------------------------------------------------
static void ChatSizing(HWND hWnd, WPARAM wParam, LPRECT newWndRect)
{
	RECT oldWndRect;
	RECT oldClientRect;
	const LONG lMinWidth = 200;
	const LONG lMinHeight = 300;
	//
	GetWindowRect(hWnd, &oldWndRect);
	GetClientRect(hWnd, &oldClientRect);
	//
	oldClientRect.right -= oldWndRect.right - oldWndRect.left - (newWndRect->right - newWndRect->left);		// calculate new client width
	oldClientRect.bottom -= oldWndRect.bottom - oldWndRect.top - (newWndRect->bottom - newWndRect->top);	// calculate new client height
	// adjust width
	if (oldClientRect.right < lMinWidth){
		switch (wParam)
		{
		case WMSZ_BOTTOMLEFT:
		case WMSZ_LEFT:
		case WMSZ_TOPLEFT:
			newWndRect->left -= lMinWidth - oldClientRect.right;
			break;
			//
		default:
			newWndRect->right += lMinWidth - oldClientRect.right;
		}
	}
	// adjust height
	if (oldClientRect.bottom < lMinHeight){
		switch (wParam)
		{
		case WMSZ_TOPLEFT:
		case WMSZ_TOP:
		case WMSZ_TOPRIGHT:
			newWndRect->top -= lMinHeight - oldClientRect.bottom;
			break;
			//
		default:
			newWndRect->bottom += lMinHeight - oldClientRect.bottom;
		}
	}
}
//----------------------------------------------------------------------------
static void ChatSize(HWND hWnd)
{
	chat_t* ch = (chat_t*)GetProp(hWnd,TEXT("chat"));
	RECT mrc,rc,txt;
	int mainHeight;
	int w;
	GetClientRect(hWnd,&mrc);

	GetWindowRect(GetDlgItem(hWnd,IDC_STATUS),&rc);
	mainHeight = mrc.bottom-mrc.top-4-(rc.bottom-rc.top)-ch->msg_height-36;
	if (mainHeight < 16)
	{
		ch->msg_height += 16-mainHeight;
		mainHeight = 16;
	}
	MoveWindow(GetDlgItem(hWnd,IDC_CHAT),0,0,mrc.right,mainHeight,TRUE);
	MoveWindow(GetDlgItem(hWnd,IDC_MESSAGE),0,mainHeight+4,mrc.right,ch->msg_height,TRUE);
	GetClientRect(GetDlgItem(hWnd,IDC_VOLUME_STR),&txt);
	w = mrc.right-4-2*txt.right;
	MoveWindow(GetDlgItem(hWnd,IDC_DIAL),2,mainHeight+4+ch->msg_height+2,32,32,TRUE);
	MoveWindow(GetDlgItem(hWnd,IDC_MUTE),2+32+2,mainHeight+4+ch->msg_height+2,32,32,TRUE);
	MoveWindow(GetDlgItem(hWnd,IDC_VOLUME_STR),2+32+2+32,mainHeight+4+ch->msg_height+2+8,txt.right,14,TRUE);
	MoveWindow(GetDlgItem(hWnd,IDC_VOLUME),2+32+2+32+txt.right,mainHeight+4+ch->msg_height+2+4,(w-32-32-4)/2,26,TRUE);
	MoveWindow(GetDlgItem(hWnd, IDC_MIC_STR), 2+32+2+32+ (w-32-32-4) / 2 + txt.right, mainHeight + 4 + ch->msg_height + 2 + 8, txt.right, 14, TRUE);
	MoveWindow(GetDlgItem(hWnd, IDC_MICLEVEL), 2+32+2+32 + (w-32-32-4) / 2 + 2 * txt.right, mainHeight + 4 + ch->msg_height + 2+4, (w-32-32-4) / 2, 26, TRUE);
	MoveWindow(GetDlgItem(hWnd, IDC_STATUS), 0, mrc.bottom - (rc.bottom - rc.top), mrc.right, rc.bottom - rc.top, TRUE);
	RedrawWindow(hWnd,&mrc,NULL,RDW_ERASE|RDW_INVALIDATE|RDW_UPDATENOW|RDW_ALLCHILDREN);
}
//----------------------------------------------------------------------------
static void create_chat_file(HWND hWnd, chat_t* ch)
{
	u32 key[8];
	u8 passw[password_max_length];
	u32 pas_len = getPassword(passw);
	TCHAR fileName[MAX_PATH];
	size_t i;
	ch->xex = new XEX_ENCRYPT_DECRYPT;
	GetModuleFileName(NULL,fileName,MAX_PATH);
	for (i = _tcslen(fileName); i--;) if (fileName[i] == '\\') break;
	id2str(ch->nd.id,&fileName[i+1]);
	cp_strcchcat(fileName,MAX_PATH,_T(".txt"));
//		ch->F = _tfsopen(fileName,TEXT("rt+,ccs=UTF-16LE"), _SH_DENYWR);
	ch->F = _tfsopen(fileName,TEXT("rb+"), _SH_DENYWR);
	if (ch->F)
	{
		if (pas_len && (8==fread(key,sizeof(u32),8,ch->F)))
		{
			ch->xex->Init(key,getSecretData(),passw,pas_len);
			ch->xex_num = 0;
		}
		TCHAR str[2000];
		// line formatting
		CHARFORMAT2 cf;
		cf.cbSize = sizeof(cf);
		while(read_string_from_file(ch->F,str,sizeof(str),ch->xex,&ch->xex_num)>0)
		{
			CHARRANGE cr;
			int inx = 0;
			cr.cpMin = cr.cpMax = Edit_GetTextLength(GetDlgItem(hWnd,IDC_CHAT))-1;
			SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXSETSEL,0,(LPARAM)&cr);
			SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXGETSEL,0,(LPARAM)&cr);
			SendDlgItemMessage(hWnd,IDC_CHAT,EM_REPLACESEL,FALSE,(LPARAM)str);
			while (str[inx])
			{
				if (str[inx] == '>')
				{
					cf.dwMask = CFM_BOLD|CFM_COLOR;
					cf.dwEffects = CFE_AUTOCOLOR;
					break;
				}
				else if (str[inx] == '<')
				{
					cf.dwMask = CFM_BOLD|CFM_COLOR;
					cf.dwEffects = CFE_BOLD;
					cf.crTextColor = RGB(0,0,0x80);
					break;
				}
				inx++;
			}
			cr.cpMax = Edit_GetTextLength(GetDlgItem(hWnd,IDC_CHAT))-1;
			SendDlgItemMessage(hWnd,IDC_CHAT,EM_EXSETSEL,0,(LPARAM)&cr);
			SendDlgItemMessage(hWnd,IDC_CHAT,EM_SETCHARFORMAT,SCF_SELECTION,(LPARAM)&cf);
				
			SendDlgItemMessage(hWnd,IDC_CHAT,EM_SCROLL,SB_PAGEDOWN,0);
			PostMessage(GetDlgItem(hWnd,IDC_CHAT),EM_SCROLL,SB_PAGEDOWN,0);
		}
	}
	else
	{
//			ch->F = _tfsopen(fileName,TEXT("wt,ccs=UTF-16LE"), _SH_DENYWR);
		ch->F = _tfsopen(fileName,TEXT("wb+"), _SH_DENYWR);
		cheap_random_number(key,8);
		if (pas_len)
		{
			ch->xex->Init(key,getSecretData(),passw,pas_len);
		}
		if (ch->F)
		{
			fwrite(key,sizeof(u32),8,ch->F);
		}
	}
}
//----------------------------------------------------------------------------

static void ChatInit(HWND hWnd, NODE* nd)
{
	chat_t* ch = (chat_t*)HeapAlloc(GetProcessHeap(),HEAP_ZERO_MEMORY,sizeof(chat_t));
	ch->chatWnd = hWnd;
	ch->ringWnd = NULL;
	ch->msg_height = 60;
	ch->nd = *nd;
	ch->contr = new CONTR_PROT(nd,GetParent(hWnd),hWnd);
	ch->codec = new SPEEX_CODEC();
	ch->eStop = CreateEvent(NULL,TRUE,FALSE,NULL);
	ch->thVoice = NULL;
	ch->win = NULL;
	ch->wout = NULL;
	ch->restart = false;
	ch->codec->Enable_AGC(isAGCEnabled());
	ch->save_chat = GetSaveChat(nd->id);
	if (ch->save_chat)
	{
		create_chat_file(hWnd,ch);
		CheckMenuItem(GetMenu(hWnd),IDM_SAVE_CHAT,MF_CHECKED|MF_BYCOMMAND);
	}
	else
	{
		ch->F = NULL;
		CheckMenuItem(GetMenu(hWnd),IDM_SAVE_CHAT,MF_UNCHECKED|MF_BYCOMMAND);
	}
	PostMessage(GetDlgItem(hWnd,IDC_CHAT),EM_SCROLLCARET,0,0);
	SetProp(hWnd,TEXT("chat"),ch);
	SetTimer(hWnd,1,1000,NULL);
	ShowWindow(GetDlgItem(hWnd,IDC_SEND_MESSAGE),SW_HIDE);
	int parts[]={100, 130, 370, -1};
	SendDlgItemMessage(hWnd,IDC_STATUS,SB_SETPARTS,sizeof(parts)/sizeof(parts[0]),(LPARAM)parts);
	updateStatus(hWnd);

	SendDlgItemMessage(hWnd, IDC_DIAL, BM_SETIMAGE, IMAGE_ICON, (LPARAM)LoadIcon(GetModuleHandle(NULL), MAKEINTRESOURCE(IDI_PHONE_GREEN)));
	SendDlgItemMessage(hWnd, IDC_MESSAGE, EM_SETEVENTMASK, 0, ENM_CHANGE);
	SendDlgItemMessage(hWnd, IDC_MUTE, BM_SETIMAGE, IMAGE_ICON, (LPARAM)LoadIcon(GetModuleHandle(NULL), MAKEINTRESOURCE(IDI_MIC_OFF)));
	// volume
	UINT vol,mic;
	getVolumeMic(&vol,&mic);
	SendDlgItemMessage(hWnd,IDC_VOLUME,TBM_SETPOS,TRUE,vol);
	SendDlgItemMessage(hWnd,IDC_MICLEVEL,TBM_SETPOS,TRUE,mic);
	ChatSize(hWnd);
}
//----------------------------------------------------------------------------
static void ChatDestroy(HWND hWnd)
{
	KillTimer(hWnd,1);
	chat_t* ch = (chat_t*)RemoveProp(hWnd,TEXT("chat"));
	if (ch->F) fclose(ch->F);
	if (ch->ringWnd) DestroyWindow(ch->ringWnd);
	if (ch->thVoice)
	{
		SetEvent(ch->eStop);
		WaitForSingleObject(ch->thVoice,1000);
		CloseHandle(ch->thVoice);
	}
	delete ch->contr;
	delete ch->codec;
	delete ch->xex;
	CloseHandle(ch->eStop);
	HeapFree(GetProcessHeap(),0,ch);
	PostMessage(GetParent(hWnd),WM_DELETECHAT,0,(LPARAM)hWnd);
}
//----------------------------------------------------------------------------
static INT_PTR CALLBACK ChatProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
{
	chat_t* ch = (chat_t*)GetProp(hWnd,TEXT("chat"));
	switch (uMsg)
	{
	case WM_INITDIALOG:
		ChatInit(hWnd,(NODE*)lParam);
		return TRUE;
		//
    case WM_DESTROY:
		ChatDestroy(hWnd);
		return TRUE;
		//
	case WM_SIZE:
		ChatSize(hWnd);
		return 0;
		//
	case WM_SIZING:
		ChatSizing(hWnd, wParam, (LPRECT)lParam);
		return TRUE;
		//
	case WM_CLOSE:
		DestroyWindow(hWnd);
		return TRUE;
		//
	case WM_TIMER:
		updateStatus(hWnd);
		return TRUE;
		//
	case WM_COMMAND:
		switch (LOWORD(wParam))
		{
		case IDC_DIAL:
			dialClicked(hWnd);
			return TRUE;
		case IDC_SEND_MESSAGE:
			sendMsg(hWnd);
			return TRUE;
		case IDM_TRANSFERFILE:
			FileTransfer(hWnd,&ch->nd);
			return TRUE;
		case IDC_MESSAGE:
			if (HIWORD(wParam) == EN_CHANGE)
			{
				ch->contr->sendTyping();
			}
			return TRUE;
		case IDC_MUTE:
			ch->mute = !ch->mute;
			return TRUE;
		case IDM_ADDSAVED:
			appendLike(&ch->nd);
			return TRUE;
		case IDM_CLEAR_CHAT:
		{
			TCHAR str[200];
			TCHAR user[user_info_max_length_bytes];
			getNet()->get_user_info(&ch->nd,user);
			_stprintf_s(str, TEXT("Delete chat history with %s?"), user);
			if (ch->F && (lParam || (IDYES == MessageBox(hWnd,str,TEXT("Question"),MB_ICONQUESTION|MB_YESNO))))
			{
				size_t i;
				TCHAR fileName[MAX_PATH];
				GetModuleFileName(NULL,fileName,MAX_PATH);
				for (i = _tcslen(fileName); i--;) if (fileName[i] == '\\') break;
				id2str(ch->nd.id,&fileName[i+1]);
				cp_strcchcat(fileName,MAX_PATH,_T(".txt"));
				fclose(ch->F);
				ch->F = NULL;
				DeleteFile(fileName);
				Edit_SetText(GetDlgItem(hWnd,IDC_CHAT),TEXT(""));
			}
			if (!ch->F && ch->save_chat)
			{
				create_chat_file(hWnd,ch); // create new chat
			}
			return TRUE;
		}
		case IDM_SAVE_CHAT:
			ch->save_chat = !ch->save_chat;
			if (ch->save_chat && !ch->F)
			{
				create_chat_file(hWnd,ch);
			}
			CheckMenuItem(GetMenu(hWnd),IDM_SAVE_CHAT,(ch->save_chat?MF_CHECKED:MF_UNCHECKED)|MF_BYCOMMAND);
			SetSaveChat(ch->nd.id,ch->save_chat);
			return TRUE;
		}
		return FALSE;
	case WM_HSCROLL:
		if ((HWND)lParam == GetDlgItem(hWnd,IDC_VOLUME))
		{
			WORD vol = (WORD)SendDlgItemMessage(hWnd,IDC_VOLUME,TBM_GETPOS,0,0);
			setVolume(ch->wout,vol);
			setVolume(vol);
		}
		if ((HWND)lParam == GetDlgItem(hWnd,IDC_MICLEVEL))
		{
			WORD vol = (WORD)SendDlgItemMessage(hWnd,IDC_MICLEVEL,TBM_GETPOS,0,0);
			setMicrophone(ch->win,vol);
			setMic(vol);
		}
		break;
	case WM_PROCESSDATA:
		ch->contr->received((u32*)lParam,(u32)wParam);
		return TRUE;
	case WM_SHOWTEXT:
		showText(hWnd,(LPTSTR)wParam,(u32)lParam);
		return TRUE;
	case WM_UPDATECHAT:
		StartStopVoice(hWnd);
		return TRUE;
	case WM_RESTART_WAVE:
		ch->restart = true;
		return TRUE;
	case WM_RING:
		if (ch->ringWnd) PostMessage(ch->ringWnd,WM_RING,0,0);
		else
		{
			ch->ringWnd = CreateDialogParam(GetModuleHandle(NULL),TEXT("Ring"),hWnd,RingProc,(LPARAM)ch);
		}
		return TRUE;
	case WM_RING_DESTROYED:
		ch->ringWnd = NULL;
		return TRUE;
	case WM_MESSAGE_DELIVERED:
		formatDeliverdMessage(hWnd,(LONG)wParam,(LONG)lParam);
		return TRUE;
	case WM_SHOW_TYPING:
		SendDlgItemMessage(hWnd,IDC_STATUS,SB_SETTEXT,1,(LPARAM)TEXT("*")); break;
		return TRUE;
	case WM_ISTALKING:
		return ch->contr->getState() == CTRL_ST_IN_VOICE;
	case WM_SETID:
		memcpy(ch->nd.id,(void*)lParam,NETWORK_ID_LENGTH*sizeof(u32));
		return TRUE;
	case WM_SET_AGC:
		ch->codec->Enable_AGC(wParam!=0);
		return TRUE;
	}
	return FALSE;
}
//-----------------------------------------------------------------------
HWND StartChat(HWND hWnd, NODE* nd)
{
	return CreateDialogParam(GetModuleHandle(NULL),TEXT("Chat"),hWnd,ChatProc,(LPARAM)nd);
}
//-----------------------------------------------------------------------
