#ifndef CP_TIME_H_INCLUDED
#define CP_TIME_H_INCLUDED
//---------------------------------------------------------------------------
#if !defined(_WIN32) && !defined(_LINUX)
#error "OS not specified!"
#endif
//---------------------------------------------------------------------------
#include "types.h"
//---------------------------------------------------------------------------
#ifdef _LINUX
// not implemented yet
#elif defined(_WIN32)

#include <windows.h>

typedef SYSTEMTIME			cp_utc_time_t;
typedef u64					cp_time_t;
typedef cp_utc_time_t		*cp_utc_time_ptr_t;
typedef cp_time_t			*cp_time_ptr_t;

void cp_get_time(cp_time_t *t);
#define cp_get_utc_time(t)				GetSystemTime(t)
void cp_convert_time_to_utc(const cp_time_t *t, cp_utc_time_t *u);
void cp_convert_utc_to_time(const cp_utc_time_t *u, cp_time_t *t);

#endif
//----------------------------------------------------------------------------------
#endif //CP_TIME_H_INCLUDED
